FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007120152.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007120152.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e4c9977 OS_GIT_VERSION=4.4.0-202007120152.p0-e4c9977 SOURCE_DATE_EPOCH=1583428696 SOURCE_GIT_COMMIT=e4c9977928b7f36962351b387fafff474b238311 SOURCE_GIT_TAG=v3.11.0-845-ge4c99779 SOURCE_GIT_URL=https://github.com/openshift/coredns 
WORKDIR /go/src/github.com/coredns/coredns
COPY . .
RUN GO111MODULE=on GOFLAGS=-mod=vendor go build -o coredns .

FROM openshift/ose-base:v4.4.0.20200712.020520
ENV __doozer=update BUILD_RELEASE=202007120152.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007120152.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e4c9977 OS_GIT_VERSION=4.4.0-202007120152.p0-e4c9977 SOURCE_DATE_EPOCH=1583428696 SOURCE_GIT_COMMIT=e4c9977928b7f36962351b387fafff474b238311 SOURCE_GIT_TAG=v3.11.0-845-ge4c99779 SOURCE_GIT_URL=https://github.com/openshift/coredns 
COPY --from=builder /go/src/github.com/coredns/coredns/coredns /usr/bin/

ENTRYPOINT ["/usr/bin/coredns"]

LABEL \
        io.k8s.display-name="CoreDNS" \
        io.k8s.description="CoreDNS delivers the DNS and Discovery Service for a Kubernetes cluster." \
        maintainer="dev@lists.openshift.redhat.com" \
        name="openshift/ose-coredns" \
        com.redhat.component="coredns-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202007120152.p0" \
        io.openshift.build.commit.id="e4c9977928b7f36962351b387fafff474b238311" \
        io.openshift.build.source-location="https://github.com/openshift/coredns" \
        io.openshift.build.commit.url="https://github.com/openshift/coredns/commit/e4c9977928b7f36962351b387fafff474b238311" \
        version="v4.4.0"

